Subject: bug#25355: 26.0.50; Provide function to non-destructively replace buffer contents

From: Philipp Stephani <[email-masked]>
Date: Sun, 07 May 2017 18:21:35 +0000

Eli Zaretskii <[email-masked]> schrieb am So., 7. Mai 2017 um 20:06 Uhr:

> > From: Philipp Stephani <[email-masked]>
> > Date: Sun, 07 May 2017 17:44:27 +0000
> >
> > FYI, I've now implemented this based on libmba (
> http://www.ioplex.com/~miallen/libmba/). Unless there are
> > concerns importing part of that library into the Emacs source tree, I'll
> send a patch.
>
> I'm not sure I understand what you mean by "importing part of that
> library".  Are you going to ask the author to sign legal papers
> assigning copyright to the FSF?
>

I guess we can just use the library as-is? It's MIT-licensed.

>
> P.S. Doesn't GNU Diff have code to do this?

Sure, but it's not a library. libmba was the only library that I've found
so far with a usable interface (i.e. that doesn't assume that the input
sequences are byte arrays).

> Even dispnew.c has
> something similar, see scrolling_window.
>

That doesn't appear to be reusable.